com.informix.jdbc

## Class IfxNativeSQL

- java.lang.Object
- - com.informix.jdbc.IfxNativeSQL

    public class IfxNativeSQL
    extends java.lang.Object

A driver may convert the JDBC sql grammar into its system's native SQL grammar prior to sending it; nativeSQL returns the native form of the statement that the driver would have sent.

Keywords:

d (date) Format: {d 'yyyy-mm-dd'} Informix 'date' type

t (time) Format: {t 'hh:mm:ss'} Informix 'datetime hour to second' type

ts (timestamp) Format: {ts 'yyyy-mm-dd hh:mm:ss.f...} Informix 'datetime year to f(5)' type

fn (scalar functions) Format: {fn <function call> }

escape (escape character) Format: {escape ''}

oj (outer join) Format: {oj } =

LEFT OUTER JOIN [ table | ] ON

call (call a func/proc) Format: {call <proc>[(?,?...)]}

{? = call <proc>[(?,?...)]}

limit limit/skip rows Format {limit 5 [10] } 10 is the optional offset, and 5 is the limit

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`